
/v4/protocols/count
Get the number of protocols corresponding to the query. Use query parameters to filter the count.
Query parameters
pagenumber | stringdefault: 00-indexed page number
itemsnumber | stringdefault: 20Number of items returned by page
idstringFilter by protocol slug (e.g. aave, morpho, uniswap). NOT a numeric ID. See ID types.
testbooleandefault: falseIncludes protocols that have only test opportunities
idsstring[]Filter by multiple protocol slugs (e.g. aave, morpho).
namestringSearch protocols by name
opportunityTagstringFilter by underlying tag opportunities
opportunityChainnumber | stringFilter by underlying opportunity chains
statusstringA comma separated list of campaign statuses used to filter campaigns counted in numberOfLiveCampaigns and dailyRewards. Legal values: LIVE, PAST, SOON. Defaults to LIVE.
tokenTypesenum[]Filter campaigns counted in numberOfLiveCampaigns and dailyRewards by reward token type. Default: no filter.
TOKENPRETGEPOINTexcludeSubCampaignsbooleandefault: falseExclude sub-campaigns from the campaigns counted in numberOfLiveCampaigns and dailyRewards. Default: false.
https://api.merkl.xyz/v4/protocols/count?page=&items=&test=&excludeSubCampaigns=curl -X GET "https://api.merkl.xyz/v4/protocols/count?page=0&items=20&test=false&excludeSubCampaigns=false"